### Method

# Gtk TreePath get_indices_with_depth

#### Declaration [src]

    int*
    gtk_tree_path_get_indices_with_depth (
      GtkTreePath* path,
      int* depth
    )

#### Description [src]

Returns the current indices of `path`.

This is an array of integers, each representing a node in a tree. It also returns the number of elements in the array. The array should not be freed.

#### Parameters

`depth` | `int*`
| Return location for number of elements returned in the integer array.
| The argument will be set by the function.
| The argument can be `NULL`.
| The instance takes ownership of the data, and is responsible for freeing it.

#### Return value

Returns: | An array of `int`
| The current indices.
| The length of the array is in the `depth` argument.
| The data is owned by the instance.
| The return value can be `NULL`.